(function($) {
    "use strict"
    
    $( document ).ready( function() {
        
        var alert_success = $('.ga-card-body .alert-success'),
            alert_notice  = $('.ga-card-body .alert-notice'),
            alert_warning = $('.ga-card-body .alert-warning'),
            button        = $('#goldaddons-register'),
            sku_select    = $('select[name="goldaddons[sku]"]'),
            key_input     = $('input[name="goldaddons[key]"]');
    
        $(button).on( 'click', function( e ) {
            
            var data = { 
                'action': 'activate',
                'key': $('input[name="goldaddons[key]"]').val(),
                'sku': $('select[name="goldaddons[sku]"]').val()
            };
                
            $( this ).addClass( 'disabled' ).find( 'i.spin' ).removeClass( 'hidden' );

            $.post( _GoldAddons.ajax_url, data, function( response ) {
                var response = JSON.parse(response);
                
                if( ! data.sku || ! data.key ) {
                    $( button ).removeClass( 'disabled' ).find( 'i.spin' ).addClass( 'hidden' );
                    
                    if( ! data.sku ) {
                        $('#ga-settings-license').find( '.alert:not(.ga-dummy)' ).hide();

                        $('#ga-settings-license .alert.ga-dummy')
                            .removeClass( 'alert-success' )
                            .removeClass( 'alert-warning' )
                            .addClass( 'alert-notice' )
                            .find( 'i.ga-dummy' )
                            .addClass( 'fe-icon-info' )
                            .next( 'span.ga-dummy' )
                            .html( _GoldAddons.label_sku )
                            .parent( '.alert' )
                            .show();
                        
                        $( sku_select ).focus();
                        
                        return;
                    }
                    
                    if( ! data.key ) {
                        $('#ga-settings-license').find( '.alert:not(.ga-dummy)' ).hide();

                        $('#ga-settings-license .alert.ga-dummy')
                            .removeClass( 'alert-success' )
                            .removeClass( 'alert-warning' )
                            .addClass( 'alert-notice' )
                            .find( 'i.ga-dummy' )
                            .addClass( 'fe-icon-info' )
                            .next( 'span.ga-dummy' )
                            .html( _GoldAddons.label_key )
                            .parent( '.alert' )
                            .show();
                        
                        $( key_input ).focus();
                        
                        return;
                    }
                }
                
                if( response.error ) {
                    $('#ga-settings-license').find( '.alert:not(.ga-dummy)' ).hide();

                    $('#ga-settings-license .alert.ga-dummy')
                        .removeClass( 'alert-success' )
                        .removeClass( 'alert-notice' )
                        .addClass( 'alert-warning' )
                        .find( 'i.ga-dummy' )
                        .addClass( 'fe-icon-slash' )
                        .next( 'span.ga-dummy' )
                        .html( _GoldAddons.label_warning )
                        .parent( '.alert' )
                        .show();
                    
                    $( sku_select ).removeClass( 'border-primary' ).addClass( 'border-warning' );
                    $( key_input ).removeClass( 'border-primary' ).addClass( 'border-warning' );
                    
                } else {
                    $('#ga-settings-license').find( '.alert:not(.ga-dummy)' ).hide();

                    $('#ga-settings-license .alert.ga-dummy')
                        .removeClass( 'alert-notice' )
                        .removeClass( 'alert-warning' )
                        .addClass( 'alert-success' )
                        .find( 'i.ga-dummy' )
                        .addClass( 'fe-icon-check-square' )
                        .next( 'span.ga-dummy' )
                        .html( _GoldAddons.label_success )
                        .parent( '.alert' )
                        .show();
                    
                    $( sku_select ).removeClass( 'border-warning' ).addClass( 'border-primary' );
                    $( key_input ).removeClass( 'border-warning' ).addClass( 'border-primary' );
                    
                }
                
                $( button ).removeClass( 'disabled' ).find( 'i.spin' ).addClass( 'hidden' );
            });
            
        } );
        
    } );
    
}(jQuery));
