<?php
/**
 * PRO Widgets
 *
 * The GoldAddons plugin PRO widgets page.
 *
 * @package GoldAddons for Elementor
 * @since 1.0.8
 * @return mixed
 */

// No direct access allowed.
if( ! defined( 'ABSPATH' ) ) {
    exit;
}

$plugin_data = get_plugin_data( GOLDADDONS_DIR . '/gold-addons-for-elementor.php' );
$version = isset( $plugin_data['Version'] ) ? $plugin_data['Version'] : ''; ?>

<div id="goldaddons-settings" class="wrap">
    <div class="goldaddons-head-wrapper">
        <h1>GoldAddons <span><?php _e( 'For Elementor', 'gold-addons-for-elementor' ); ?></span></h1>
        <div class="goldaddons-website">
            <div class="plugin-version">
                <?php _e( 'Version:', 'gold-addons-for-elementor' ); ?>
                <span><?php echo esc_html( $version ); ?></span>
            </div>
        </div>
    </div>
    <div class="ga-card">
        <div class="ga-card-body">
            <div class="wrap about-wrap full-width-layout">
                <h3 class="aligncenter heading-pro"><?php _e( 'PRO Widgets', 'gold-addons-for-elementor' ); ?></h3>
                <div class="has-3-columns">
                    
                    <div class="ga-icon-box column aligncenter">
                        <div class="ga-icon-box-icon">
                            <i class="fe-icon-align-justify"></i>
                        </div>
                        <h3 class="ga-icon-box-title"><?php _e( 'Accordion Widget', 'gold-addons-for-elementor' ); ?></h3>
                        <p class="ga-icon-box-text"><?php _e( 'Create an unlimited accordions and apply custom styling to it with many great features.', 'gold-addons-for-elementor' ); ?></p>
                        <a href="https://goldaddons.com/widgets/accordion/" class="ga-icon-box-link" target="_blank">
                            <?php _e( 'Learn more', 'gold-addons-for-elementor' ); ?> <i class="fe-icon-arrow-right"></i>
                        </a>
                    </div>
                    
                    <div class="ga-icon-box column aligncenter">
                        <div class="ga-icon-box-icon">
                            <i class="fe-icon-briefcase"></i>
                        </div>
                        <h3 class="ga-icon-box-title"><?php _e( 'Portfolio Widget', 'gold-addons-for-elementor' ); ?></h3>
                        <p class="ga-icon-box-text"><?php _e( 'Create avesome portfolio sections with GoldAddons PRO Portfolio widget.', 'gold-addons-for-elementor' ); ?></p>
                        <a href="https://goldaddons.com/widgets/portfolio/" class="ga-icon-box-link" target="_blank">
                            <?php _e( 'Learn more', 'gold-addons-for-elementor' ); ?> <i class="fe-icon-arrow-right"></i>
                        </a>
                    </div>
                    
                    <div class="ga-icon-box column aligncenter">
                        <div class="ga-icon-box-icon">
                            <i class="fe-icon-rotate-cw"></i>
                        </div>
                        <h3 class="ga-icon-box-title"><?php _e( '3D Flip Box Widget', 'gold-addons-for-elementor' ); ?></h3>
                        <p class="ga-icon-box-text"><?php _e( 'Create awesome 3D flip boxes with front/back area text or images. Pure CSS3 animations without jQuery code.', 'gold-addons-for-elementor' ); ?></p>
                        <a href="https://goldaddons.com/widgets/3d-flip-box/" class="ga-icon-box-link" target="_blank">
                            <?php _e( 'Learn more', 'gold-addons-for-elementor' ); ?> <i class="fe-icon-arrow-right"></i>
                        </a>
                    </div>
                    
                </div>
                <div class="has-3-columns">
                    
                    <div class="ga-icon-box column aligncenter">
                        <div class="ga-icon-box-icon">
                            <i class="fe-icon-heart"></i>
                        </div>
                        <h3 class="ga-icon-box-title"><?php _e( 'Coming Soon', 'gold-addons-for-elementor' ); ?></h3>
                        <p class="ga-icon-box-text"><?php _e( 'Many new PRO widgets are coming very soon.', 'gold-addons-for-elementor' ); ?></p>
                        <a href="https://goldaddons.com/" class="ga-icon-box-link" target="_blank">
                            <?php _e( 'Learn more', 'gold-addons-for-elementor' ); ?> <i class="fe-icon-arrow-right"></i>
                        </a>
                    </div>
                    
                    <div class="ga-icon-box column aligncenter">
                        <div class="ga-icon-box-icon">
                            <i class="fe-icon-heart"></i>
                        </div>
                        <h3 class="ga-icon-box-title"><?php _e( 'Coming Soon', 'gold-addons-for-elementor' ); ?></h3>
                        <p class="ga-icon-box-text"><?php _e( 'Many new PRO widgets are coming very soon.', 'gold-addons-for-elementor' ); ?></p>
                        <a href="https://goldaddons.com/" class="ga-icon-box-link" target="_blank">
                            <?php _e( 'Learn more', 'gold-addons-for-elementor' ); ?> <i class="fe-icon-arrow-right"></i>
                        </a>
                    </div>
                    
                    <div class="ga-icon-box column aligncenter">
                        <div class="ga-icon-box-icon">
                            <i class="fe-icon-heart"></i>
                        </div>
                        <h3 class="ga-icon-box-title"><?php _e( 'Coming Soon', 'gold-addons-for-elementor' ); ?></h3>
                        <p class="ga-icon-box-text"><?php _e( 'Many new PRO widgets are coming very soon.', 'gold-addons-for-elementor' ); ?></p>
                        <a href="https://goldaddons.com/" class="ga-icon-box-link" target="_blank">
                            <?php _e( 'Learn more', 'gold-addons-for-elementor' ); ?> <i class="fe-icon-arrow-right"></i>
                        </a>
                    </div>
                    
                </div>
            </div>
        </div>
    </div>
    <div class="ga-card" style="margin-top:50px;">
        <div class="ga-card-body">
            <div class="wrap about-wrap full-width-layout">
                <h3 class="aligncenter heading-pro"><?php _e( 'Pricing', 'gold-addons-for-elementor' ); ?></h3>
                <div class="has-3-columns">
                    
                    <div class="ga-pricing-card column aligncenter">
                        <div class="ga-pricing-card-body">
                            <div class="ga-icon-box-icon mb-0">
                                <i class="fe-icon-user"></i>
                            </div>
                            <h3><?php _e( 'Personal', 'gold-addons-for-elementor' ); ?></h3>
                            <div class="ga-pricing-card-price yearly active"><span>$</span>39</div>
                            <span class="text-muted"><?php _e( '1 website', 'gold-addons-for-elementor' ); ?></span>
                            <ul class="ga-pricing-card-features">
                                <li>
                                    <i class="fe-icon-check-circle text-muted"></i>
                                    <?php _e( 'Lifetime updates', 'gold-addons-for-elementor' ); ?>
                                </li>
                                <li>
                                    <i class="fe-icon-check-circle text-muted"></i>
                                    <?php _e( '1 Year premium support', 'gold-addons-for-elementor' ); ?>
                                </li>
                                <li>
                                    <i class="fe-icon-check-circle text-muted"></i>
                                    <?php _e( 'Full documentation provided', 'gold-addons-for-elementor' ); ?>
                                </li>
                                <li>
                                    <i class="fe-icon-check-circle text-muted"></i>
                                    <?php _e( '14 Days money back guarantee', 'gold-addons-for-elementor' ); ?>
                                </li>
                            </ul>
                            <div class="ga-pricing-card-button">
                                <a href="https://goldaddons.com/product/goldaddons-personal/" class="btn btn-primary" target="_blank">
                                    <?php _e( 'Buy Now', 'gold-addons-for-elementor' ); ?>
                                </a>
                            </div>
                        </div>
                    </div>
                    
                    <div class="ga-pricing-card column aligncenter border-primary">
                        <div class="ga-pricing-card-body">
                            <div class="ga-icon-box-icon mb-0">
                                <i class="fe-icon-users"></i>
                            </div>
                            <h3><?php _e( 'Business', 'gold-addons-for-elementor' ); ?></h3>
                            <div class="ga-pricing-card-price yearly active"><span>$</span>59</div>
                            <span class="text-muted"><?php _e( '3 websites', 'gold-addons-for-elementor' ); ?></span>
                            <ul class="ga-pricing-card-features">
                                <li>
                                    <i class="fe-icon-check-circle text-muted"></i>
                                    <?php _e( 'Lifetime updates', 'gold-addons-for-elementor' ); ?>
                                </li>
                                <li>
                                    <i class="fe-icon-check-circle text-muted"></i>
                                    <?php _e( '1 Year premium support', 'gold-addons-for-elementor' ); ?>
                                </li>
                                <li>
                                    <i class="fe-icon-check-circle text-muted"></i>
                                    <?php _e( 'Full documentation provided', 'gold-addons-for-elementor' ); ?>
                                </li>
                                <li>
                                    <i class="fe-icon-check-circle text-muted"></i>
                                    <?php _e( '14 Days money back guarantee', 'gold-addons-for-elementor' ); ?>
                                </li>
                            </ul>
                            <div class="ga-pricing-card-button">
                                <a href="https://goldaddons.com/product/goldaddons-business/" class="btn btn-primary" target="_blank">
                                    <?php _e( 'Buy Now', 'gold-addons-for-elementor' ); ?>
                                </a>
                            </div>
                        </div>
                    </div>
                    
                    <div class="ga-pricing-card column aligncenter">
                        <div class="ga-pricing-card-body">
                            <div class="ga-icon-box-icon mb-0">
                                <i class="fe-icon-star"></i>
                            </div>
                           <h3><?php _e( 'Unlimited', 'gold-addons-for-elementor' ); ?></h3>
                            <div class="ga-pricing-card-price yearly active"><span>$</span>79</div>
                            <span class="text-muted"><?php _e( 'unlimited websites', 'gold-addons-for-elementor' ); ?></span>
                            <ul class="ga-pricing-card-features">
                                <li>
                                    <i class="fe-icon-check-circle text-muted"></i>
                                    <?php _e( 'Lifetime updates', 'gold-addons-for-elementor' ); ?>
                                </li>
                                <li>
                                    <i class="fe-icon-check-circle text-muted"></i>
                                    <?php _e( '1 Year premium support', 'gold-addons-for-elementor' ); ?>
                                </li>
                                <li>
                                    <i class="fe-icon-check-circle text-muted"></i>
                                    <?php _e( 'Full documentation provided', 'gold-addons-for-elementor' ); ?>
                                </li>
                                <li>
                                    <i class="fe-icon-check-circle text-muted"></i>
                                    <?php _e( '14 Days money back guarantee', 'gold-addons-for-elementor' ); ?>
                                </li>
                            </ul>
                            <div class="ga-pricing-card-button">
                                <a href="https://goldaddons.com/product/goldaddons-unlimited/" class="btn btn-primary" target="_blank">
                                    <?php _e( 'Buy Now', 'gold-addons-for-elementor' ); ?>
                                </a>
                            </div>
                        </div>
                    </div>
                    
                </div>
            </div>
        </div>
    </div>
</div><!-- #goldaddons-settings -->